Overview

Retrieve user

Get user by ID

GET/v2/users/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
Output4
emailstring
User's email address
idstring
Unique identifier for the user
namestring
User's full name
roleobject
Detailed information about a user's role
Responses
200User
Example input
curl 'https://api.axiom.co/v2/users/{id}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "email": "john.doe@example.com",
  "id": "usr_123456789",
  "name": "John Doe",
  "role": {
    "id": "role_123456789",
    "name": "Organization Admin"
  }
}

Updated

Was this page helpful?